/*
 * Paraselene
 * Copyright (c) 2009  Akira Terasaki
 * このファイルは同梱されているLicense.txtに定めた条件に同意できる場合にのみ
 * 利用可能です。
 */
package paraselene.mockup;

import paraselene.*;
import java.io.*;

public class MakeScript implements OutputNo {
	public String getString( int no ) {
		return "";
	}

	public static void main( String[] argv ) throws Exception {
		Output[]	output = {
			new paraselene.mockup.js.paraselene_js(),
		};
		File[]	file = {
			new File( "paraselene.js" ),
		};
		System.out.println( Version.getTitle() );
		System.out.println( Version.getCopyRight() );
		MakeScript	mk = new MakeScript();
		for ( int i = 0; i < output.length; i++ ) {
			output[i].write( file[i], mk, Long.MAX_VALUE );
			System.out.println( file[i].toString() + " was output." );
		}
	}
}

